svn commit: samba r20748 - in branches/SAMBA_4_0/source/script/tests: .

jelmer at samba.org jelmer at samba.org
Sun Jan 14 01:42:07 GMT 2007


Author: jelmer
Date: 2007-01-14 01:42:07 +0000 (Sun, 14 Jan 2007)
New Revision: 20748

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=20748

Log:
Add file I forgot to commit
Added:
   branches/SAMBA_4_0/source/script/tests/test_blackbox.sh


Changeset:
Added: branches/SAMBA_4_0/source/script/tests/test_blackbox.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/test_blackbox.sh	2007-01-14 01:39:34 UTC (rev 20747)
+++ branches/SAMBA_4_0/source/script/tests/test_blackbox.sh	2007-01-14 01:42:07 UTC (rev 20748)
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+# this runs tests that interact directly with the command-line tools rather than using the API
+
+if [ $# -lt 5 ]; then
+cat <<EOF
+Usage: test_blackbox.sh SERVER USERNAME PASSWORD DOMAIN PREFIX [...]
+EOF
+exit 1;
+fi
+
+SERVER=$1
+USERNAME=$2
+PASSWORD=$3
+DOMAIN=$4
+PREFIX=$5
+shift 5
+ADDARGS="$@"
+
+incdir=`dirname $0`
+. $incdir/test_functions.sh
+
+testit "smbclient" $incdir/../../../testprogs/blackbox/test_smbclient.sh "$SERVER" "$USERNAME" "$PASSWORD" "$DOMAIN" "$PREFIX" "$ADDARGS"
+testit "cifsdd" $incdir/../../../testprogs/blackbox/test_cifsdd.sh "$SERVER" "$USERNAME" "$PASSWORD" "$DOMAIN" "$ADDARGS"
+
+testok $0 $failed


Property changes on: branches/SAMBA_4_0/source/script/tests/test_blackbox.sh
___________________________________________________________________
Name: svn:executable
   + *



More information about the samba-cvs mailing list